summaryrefslogtreecommitdiffstats
path: root/tools/h5diff
diff options
context:
space:
mode:
Diffstat (limited to 'tools/h5diff')
-rw-r--r--tools/h5diff/h5diffgentest.c4
-rwxr-xr-xtools/h5diff/testh5diff.sh11
2 files changed, 7 insertions, 8 deletions
diff --git a/tools/h5diff/h5diffgentest.c b/tools/h5diff/h5diffgentest.c
index 8b62d38..fb44eb4 100644
--- a/tools/h5diff/h5diffgentest.c
+++ b/tools/h5diff/h5diffgentest.c
@@ -2351,7 +2351,7 @@ static int test_dangle_links(const char *fname1, const char *fname2)
goto out;
}
- status = H5Lcreate_external("no_file1.h5", "no_obj", fid1, "ext_link4", H5P_DEFAULT, H5P_DEFAULT);
+ status = H5Lcreate_external("no_file.h5", "no_obj", fid1, "ext_link4", H5P_DEFAULT, H5P_DEFAULT);
if (status < 0)
{
fprintf(stderr, "Error: %s> H5Lcreate_external failed.\n", fname1);
@@ -2384,7 +2384,7 @@ static int test_dangle_links(const char *fname1, const char *fname2)
goto out;
}
- status = H5Lcreate_external("no_file2.h5", "no_obj", fid2, "ext_link4", H5P_DEFAULT, H5P_DEFAULT);
+ status = H5Lcreate_external("no_file.h5", "no_obj", fid2, "ext_link4", H5P_DEFAULT, H5P_DEFAULT);
if (status < 0)
{
fprintf(stderr, "Error: %s> H5Lcreate_external failed.\n", fname2);
diff --git a/tools/h5diff/testh5diff.sh b/tools/h5diff/testh5diff.sh
index ef472bb..be6a28e 100755
--- a/tools/h5diff/testh5diff.sh
+++ b/tools/h5diff/testh5diff.sh
@@ -320,11 +320,9 @@ COPY_TESTFILES_TO_TESTDIR()
echo $tstfile | tr -d ' ' | grep '^#' > /dev/null
RET=$?
if [ $RET -eq 1 ]; then
- if [ -a $tstfile ]; then
- $CP -f $tstfile $TESTDIR
- else
+ $CP -f $tstfile $TESTDIR
+ if [ $? -ne 0 ]; then
echo "Error: FAILED to copy $tstfile ."
- echo " $tstfile doesn't exist!"
# Comment out this to CREATE expected file
exit $EXIT_FAILURE
@@ -829,9 +827,10 @@ TOOLTEST h5diff_221.txt -c non_comparables1.h5 non_comparables2.h5 /g2
# entire file
# All the comparables should display differences.
-if test -n "$pmode" -a "$mydomainname" = hdfgroup.uiuc.edu; then
+if test -n "$pmode"; then
# parallel mode:
- # skip due to ph5diff hangs on koala (linux64-LE) randomly.
+ # skip due to ph5diff hangs on koala (linux64-LE) and ember intermittently.
+ # (HDFFV-8003 - TBD)
SKIP -c non_comparables1.h5 non_comparables2.h5
else
TOOLTEST h5diff_222.txt -c non_comparables1.h5 non_comparables2.h5